Building for Distros

From Audacity Wiki
Jump to: navigation, search

...To Be Written...

Bullet Points

  • Use patched wx3.1.3. from https://github.com/audacity/wxWidgets. If you use a wx3.0 version Audacity will be unstable and crash.
    • Accessibility should be enabled.
  • Use the version of libs (portaudio, lame, VAMP etc) in our source.
  • Patches to CMake welcome, where they do not damage the builds we support (Windows 10, macOS 10.15, Ubuntu 18.04).


Other Information

Links to various stuff